import requests

from command_system import RollbotResponse, RollbotFailure, as_plugin

@as_plugin
def inspire(db, message):
    argstr = message.raw_args

    if argstr is not None and "explain" in argstr:
        return RollbotResponse(
            message,
            txt="Using the command !inspire will request an inspiration image from http://inspirobot.me/"
        )

    try:
        url = requests.get("http://inspirobot.me/api?generate=true").text
        return RollbotResponse(message, img=url)
    except ConnectionError as e:
        return RollbotResponse(
            message,
            failure_reason=RollbotFailure.SERVICE_DOWN,
            failure_notes={
                "explain": "Could not reach inspirobot.",
                "exception": e
            }
        )
